Aktuelles Java und altes Code

xrax

Erfahrenes Mitglied
Hallo zusammen,

ich möchte auf einem Server die Javaversion updaten. Aktuell ist 1.6. drauf und die Version soll deinstalliet werden.
Kann ich Probleme mit dort laufenden Javaprogrammen bekommen, die vielleicht mit der neuen Version nicht kompatibel sind. Wenn ja,- wie kann ich das vorher überprüfen bzw. das Problem beheben ?

Besten Dank
xrax
 

vfl_freak

Premium-User
Moin,

grundsätzlich sollten mit Java6 compilierte Programme auch mit Java7++ laufen.
Ob es bei einzelnen Java-Befehlen wirklich zu Problemen kommen kann, wirst Du IMHO im Vorfeld aber nicht prüfen können!
I. d. R. fällt das dann allenfalls auch nur beim Compilieren auf (bspw. die Umstellung auf Generics in Java5 - oder war es 6??) .

Gruß
Klaus
 

ComFreek

Mod | @comfreek
Moderator
Für sowas gibt es Changelogs oder Artikel zu "breaking changes". Such mal danach im Internet.

Du solltest sowieso nicht neue Software im "Production Environment" testen, sondern in der lokalen Umgebung ("development environment").